Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.model
Interface DateChoose

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  MultyDateChoose

All Known Implementing Classes:
  AbstractDateChooseModel, FooModel, MultyDateChooseModel, SingleDateChooseModel

    public interface DateChoose

extends java.io.Serializable

Date selection model interface.
Модель, необходимая для отрисовки окна выбора даты.

Since:
  1.0
Author:
  Androsov Vadim

Method Summary
`void` | `addCommitListener(CommitListener listener)` Adds commit selection event listener.
`void` | `addCursorMoveListener(CursorMoveListener listener)` Adds cursor move listener.
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Adds property change listener.
`void` | `addSelectionChangedListener(SelectionChangedListener listener)` Adds selection change listener.
`void` | `commit()` Commits selection.
`void` | `fireSelectionChange()` Fires "Selection changed" event.
`java.lang.String` | `getCellCaption(int row, int column)` Caption of the specified cell.
`java.util.Calendar` | `getCellDate(int row, int column)` Date corresponding to the specified cell.
`CellState` | `getCellState(int row, int column)` State of the specified cell.
`int` | `getColsCount()` Columns count in day selection grid.
`java.util.Calendar` | `getCurrent()` Get date under cursor.
`java.util.Calendar` | `getDefaultDate()` Default date.
`java.lang.Iterable<Period>` | `getForbidden()` Forbidden date for selection.
`java.util.Locale` | `getLocale()` Locale.
`java.util.Calendar` | `getMaxConstraint()` Get maximal enabled date.
`java.util.Calendar` | `getMinConstraint()` Get minimal enabled date.
`int` | `getRowsCount()` Rows count in day selection grid.
`java.util.Calendar` | `getSelectedDate()` Get selected date.
`java.util.Calendar` | `getVisibleDate()` Visible date.
`boolean` | `isAutoScroll()` Is auto month scroll enabled.
`boolean` | `isCursor(int row, int column)` Is cursor in specified position.
`boolean` | `isEnabled()` Is model enabled.
`boolean` | `isLocked()` Is model locked (cursor is moving but no selection available).
`boolean` | `isNothingAllowed()` Is null selection allowed.
`boolean` | `isNothingSelected()` True if no selected dates (null selection).
`boolean` | `isSelected(java.util.Calendar aDate)` Is specified date selected.
`boolean` | `isShowNeighbourMonth()` Are neighbour months visible.
`void` | `monthShift(int shift)` Jumps on specified months count.
`boolean` | `needsFullValidation()` Model needs full reoutput.
`void` | `removeCommitListener(CommitListener listener)` Removes commit selection event listener.
`void` | `removeCursorMoveListener(CursorMoveListener listener)` Removes cursor move listener.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Removes property change listener.
`void` | `removeSelectionChangedListener(SelectionChangedListener listener)` Removes selection change listener.
`boolean` | `select(java.util.Calendar aDate)` Selects specified date.
`boolean` | `select(int row, int column)` Selects specified cell.
`void` | `selectNothing()` Selects null.
`void` | `setAutoScroll(boolean autoScroll)` Sets auto month scroll enabled.
`void` | `setConstraints(java.util.Calendar min, java.util.Calendar max)` Date selection constraints.
`void` | `setDefaultDate(java.util.Calendar aDate)` Sets default date.
`void` | `setEnabled(boolean enabled)` Sets model enabled.
`void` | `setForbidden(java.lang.Iterable<Period> forbiddenPeriods)` Sets forbiddend for selection dates.
`void` | `setLocale(java.util.Locale locale)` Sets locale.
`void` | `setLocked(boolean locked)` Sets lock.
`void` | `setMaxConstraint(java.util.Calendar maxConstraint)` Sets maximal date.
`void` | `setMinConstraint(java.util.Calendar minConstraint)` Sets minimal date.
`void` | `setNothingAllowed(boolean allow)` Allows null selection.
`void` | `setNothingSelected(boolean nothingSelected)` Selects nothing (null).
`void` | `setSelectedDate(java.util.Calendar aDate)` Sets cursor on specified date.
`void` | `setShowNeighbourMonth(boolean showNeighbourMonth)` Sets neighbour months visibility.
`void` | `shift(int rowShift, int columnShift)` Shifts cursor on specified steps count vertically and hirizontally.
`void` | `showMonthYear(int month, int year)` Shows specified month and year.
`void` | `tryApplySelection()` Trying select date under cursor, must be defined in child classes.
`void` | `yearShift(int shift)` Jumps on specified years count.

Method Detail

### getRowsCount

    int getRowsCount()

  Rows count in day selection grid.
  Количество строк в сетке выбора даты.

  Since:
    1.0

### getColsCount

    int getColsCount()

  Columns count in day selection grid.
  Количество столбцов в сетке выбора даты.

  Since:
    1.0

### getCellState

    CellState getCellState(int row,
                           int column)

  State of the specified cell.
  Состояние указанной ячейки.

  Since:
    1.0

### getCellCaption

    java.lang.String getCellCaption(int row,
                                    int column)

  Caption of the specified cell.
  Заголовок указанной ячейки

  Since:
    1.0

### getCellDate

    java.util.Calendar getCellDate(int row,
                                   int column)

  Date corresponding to the specified cell.
  Дата, соответствующая указанной ячейки.

  Since:
    1.0

### setConstraints

    void setConstraints(java.util.Calendar min,
                        java.util.Calendar max)

  Date selection constraints.
  Ограничения на выбор даты.

  Since:
    1.0

### needsFullValidation

    boolean needsFullValidation()

  Model needs full reoutput.
  Требуется ли полная перерисовка окна.

  Since:
    1.0

### select

    boolean select(int row,
                   int column)

  Selects specified cell.
  Выбор ячейки.

  Returns:
    Произошел ли выбор.
  Since:
    1.0

### isSelected

    boolean isSelected(java.util.Calendar aDate)

  Is specified date selected.
  Выбрана ли ячейка

  Since:
    1.0

### getSelectedDate

    java.util.Calendar getSelectedDate()

  Get selected date.
  Дата, соответствующая выбранной ячейки.

  Since:
    1.0

### setSelectedDate

    void setSelectedDate(java.util.Calendar aDate)

  Sets cursor on specified date.
  Устанавливает курсор на заданную дату.

  Since:
    1.0

### showMonthYear

    void showMonthYear(int month,
                       int year)

  Shows specified month and year.
  Показать отрезок за заданный месяц и год.

  Since:
    1.0

### getVisibleDate

    java.util.Calendar getVisibleDate()

  Visible date.
  Видимая дата.

  Since:
    1.0

### getDefaultDate

    java.util.Calendar getDefaultDate()

  Default date.
  Дата по умолчанию.

  Since:
    1.0

### setDefaultDate

    void setDefaultDate(java.util.Calendar aDate)
                        throws IncompatibleDataExeption

  Sets default date.
  Устанавливает дату по умолчанию.

  Throws:
    `IncompatibleDataExeption`
  Since:
    1.0

### shift

    void shift(int rowShift,
               int columnShift)

  Shifts cursor on specified steps count vertically and hirizontally.
  Сдвиг выбранной ячейки.

  Since:
    1.0

### tryApplySelection

    void tryApplySelection()

  Trying select date under cursor, must be defined in child classes.
  Выбирает дату под курсором с учетом возможной блокировки. Должен быть переопределен в потомках.

  Since:
    1.0

### selectNothing

    void selectNothing()

  Selects null.
  Выбор null

  Since:
    1.0

### isCursor

    boolean isCursor(int row,
                     int column)

  Is cursor in specified position.
  Проверяет, находится ли курсор в заданной позиции.

  Since:
    1.0

### monthShift

    void monthShift(int shift)

  Jumps on specified months count.
  Осуществляет прыжок на заданной количество месяцев.

  Parameters:
    `shift` - На скоько месяцев переместиться. Отрицательные значения обозначают прыжок назад.
  Since:
    1.0

### yearShift

    void yearShift(int shift)

  Jumps on specified years count.
  Осуществляет прыжок на заданной количество лет.

  Parameters:
    `shift` - На скоько лет переместиться. Отрицательные значения обозначают прыжок назад.
  Since:
    1.0

### isShowNeighbourMonth

    boolean isShowNeighbourMonth()

  Are neighbour months visible.
  Выводить ли соседний месяц.

  Since:
    1.0

### setShowNeighbourMonth

    void setShowNeighbourMonth(boolean showNeighbourMonth)

  Sets neighbour months visibility.
  Настраивает вывод дней из соседнего месяца.

  Since:
    1.0

### isEnabled

    boolean isEnabled()

  Is model enabled.
  Доступна для изменений.

  Since:
    1.0

### setEnabled

    void setEnabled(boolean enabled)

  Sets model enabled.
  Доступна для изменений.

  Since:
    1.0

### getForbidden

    java.lang.Iterable<Period> getForbidden()

  Forbidden date for selection.
  Возвращает запрещенные для выбора даты.

  Since:
    1.0

### setForbidden

    void setForbidden(java.lang.Iterable<Period> forbiddenPeriods)

  Sets forbiddend for selection dates.
  Устанавливает запрещенные для выбора даты.

  Since:
    1.0

### getMaxConstraint

    java.util.Calendar getMaxConstraint()

  Get maximal enabled date.
  Возвращает максимальную дату.

  Since:
    1.0

### getMinConstraint

    java.util.Calendar getMinConstraint()

  Get minimal enabled date.
  Возвращает минимальную дату.

  Since:
    1.0

### setMaxConstraint

    void setMaxConstraint(java.util.Calendar maxConstraint)

  Sets maximal date.
  Устанавливает максимальную дату.

  Since:
    1.0

### setMinConstraint

    void setMinConstraint(java.util.Calendar minConstraint)

  Sets minimal date.
  Устанавливает минимальную дату.

  Since:
    1.0

### getLocale

    java.util.Locale getLocale()

  Locale.
  Возвращает локализацию.

  Since:
    1.0

### setLocale

    void setLocale(java.util.Locale locale)

  Sets locale.
  Устанавливает локализацию.

  Since:
    1.0

### fireSelectionChange

    void fireSelectionChange()

  Fires "Selection changed" event.
  Рассылает событие "Изменение выбора".

  Since:
    1.0

### commit

    void commit()

  Commits selection.
  Закрепляет выбор

  Since:
    1.0

### isAutoScroll

    boolean isAutoScroll()

  Is auto month scroll enabled.
  Проверяет, включена ли автоматическая прокрутка.

  Since:
    1.0

### setAutoScroll

    void setAutoScroll(boolean autoScroll)

  Sets auto month scroll enabled.
  Устанавливает режим автоматической прокрутки.

  Since:
    1.0

### isLocked

    boolean isLocked()

  Is model locked (cursor is moving but no selection available).
  Проверяет не заблокирован ли компонент.

  Since:
    1.0

### setLocked

    void setLocked(boolean locked)

  Sets lock.
  Изменяет состояние блокировки компонента.

  Since:
    1.0

### isNothingSelected

    boolean isNothingSelected()

  True if no selected dates (null selection).
  Возвращает истину, если не выбрано ни одной даты.

  Since:
    1.0

### setNothingSelected

    void setNothingSelected(boolean nothingSelected)

  Selects nothing (null).
  Снимает выбор со всех дат.

  Since:
    1.0

### getCurrent

    java.util.Calendar getCurrent()

  Get date under cursor.
  Возвращает дату, на которой находится курсор.

  Since:
    1.0

### select

    boolean select(java.util.Calendar aDate)

  Selects specified date.
  Выбирает заданную дату.

  Since:
    1.0

### setNothingAllowed

    void setNothingAllowed(boolean allow)

  Allows null selection.
  Позволяет разрешить или запретить не выбирать ни одной даты.

  Since:
    1.0

### isNothingAllowed

    boolean isNothingAllowed()

  Is null selection allowed.
  Разрешен ли пустой выбор.

  Since:
    1.0

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Adds property change listener.
  Добавляет слушателя события "Изменение свойства".

  Since:
    1.0

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Removes property change listener.
  Удаляет слушателя события "Изменение свойства".

  Since:
    1.0

### addCursorMoveListener

    void addCursorMoveListener(CursorMoveListener listener)

  Adds cursor move listener.
  Добавляет слушателя события "Перемещение курсора".

  Since:
    1.0

### removeCursorMoveListener

    void removeCursorMoveListener(CursorMoveListener listener)

  Removes cursor move listener.
  Удаляет слушателя события "Перемещение курсора".

  Since:
    1.0

### addSelectionChangedListener

    void addSelectionChangedListener(SelectionChangedListener listener)

  Adds selection change listener.
  Добавляет слушателя события "Изменение выбора".

  Since:
    1.0

### removeSelectionChangedListener

    void removeSelectionChangedListener(SelectionChangedListener listener)

  Removes selection change listener.
  Удаляет слушателя события "Изменение выбора".

  Since:
    1.0

### addCommitListener

    void addCommitListener(CommitListener listener)

  Adds commit selection event listener.
  Добавляет слушателя события "Подтверждение выбора".

  Since:
    1.0

### removeCommitListener

    void removeCommitListener(CommitListener listener)

  Removes commit selection event listener.
  Удаляет слушателя события "Подтверждение выбора".

  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD